// --------------------------------------------------------------------------
// External files inclusions.
// --------------------------------------------------------------------------
#include <pic.h>                                                // Use a PIC16F877A.
#include "time.h"



// --------------------------------------------------------------------------
// Other timing settings.
// --------------------------------------------------------------------------
const unsigned long int welcome_time = 224800;                  // 1.0s
const unsigned long int debounce_time = 9615;                   // 50ms
const unsigned long int message_time = 224800;                  // 1.0s



// --------------------------------------------------------------------------
// This procedure waits a given amount of time. This time is unfortunately
// dependent on the clock frequency and it's not interrupt compatible.
// In this program timing is not critical and therefore this procedure can
// be used whith interrupt on PORTB changes.
// With an oscillator frequency of 18.432MHz the table below can be used:
//
//   Value     Delay       Delay per cycle
// -----------------------------------------
//       3        23 us    7.7 us/cycle
//      10        61 us    6.1 us/cycle
//      27       153 us    5.7 us/cycle
//     155       848 us    5.5 us/cycle
//     380      2013 us    5.3 us/cycle
//    6650     34697 us    5.2 us/cycle
//   15500     80767 us    5.2 us/cycle
//  224800   1000181 us    4.4 us/cycle
// --------------------------------------------------------------------------
void delay(unsigned long int count)
{
    unsigned long int i;
    for (i=0; i<count; i++);
}


